List compliance links for a family
GET
/families/{familyID}/complianceList synthetic platform-connection fixtures for a sandbox family, including fixture verification state and last simulated enforcement.
Auth:
BearerPath parameters
familyIDuuidrequired
Response
idUnique identifier for this resource.
uuid
family_idIdentifier of the family this resource belongs to.
uuid
platform_idIdentifier of the associated platform.
string
statusCurrent lifecycle state of the resource.
verified | unverified | error
external_idIdentifier of the associated external.
string
last_enforcement_atRFC 3339 timestamp.
datetime
last_enforcement_statusOutcome of the most recent enforcement run against this link (e.g. `success`, `partial`, `error`).
string
verified_atRFC 3339 timestamp.
datetime
Request
bash
curl -sS "https://phosra-api-sandbox-production.up.railway.app/api/v1/families/f0000000-0000-4000-8000-0000000000f1/compliance" \
-H "Authorization: Bearer $PHOSRA_API_KEY"Response
json
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"family_id": "550e8400-e29b-41d4-a716-446655440000",
"platform_id": "string",
"status": "verified",
"external_id": "string",
"last_enforcement_at": null,
"last_enforcement_status": "string",
"verified_at": "2025-01-15T09:30:00Z"
}
]